#include "GzFile.h"



CGzFile::CGzFile(const char *filename) :
	CCompressedFile(filename),
	m_gzFile(0)
{

	if (filename) {
		
		m_gzFile = gzOpen(filename, "rb");
		resetFileList();
	}

}


CGzFile::~CGzFile() {

	if (m_gzFile) {
		gzClose(m_gzFile);
	}
}


void CZipFile::resetFileList() {

	if (m_unzFile)
		unzGoToFirstFile(m_unzFile);
}


